Can't install getting long page of errors


#1

I had no problem installing 1.6 version of Piwik. Now when I try to install 1.7 I get a page with all kinds of errors. Any suggestions on what I am doing wrong? I tried adding piwik both from ssh and ftp in binary, but still same problem.

Notice: require_once() [function.require-once]: 1. h->opened_path=[/home/studs68/public_html/analytics/libs/upgradephp/upgrade.php] h->filename=[/home/studs68/public_html/analytics/libs/upgradephp/upgrade.php] in /home/studs68/public_html/analytics/index.php on line 32

Notice: require_once() [function.require-once]: apc_cache_find [47863638] in /home/studs68/public_html/analytics/index.php on line 32

Notice: require_once() [function.require-once]: 2. h->opened_path=[/home/studs68/public_html/analytics/libs/upgradephp/upgrade.php] h->filename=[/home/studs68/public_html/analytics/libs/upgradephp/upgrade.php] in /home/studs68/public_html/analytics/index.php on line 32

Notice: require_once() [function.require-once]: apc_cache_make_file_entry: entry->data.file.filename is [/home/studs68/public_html/analytics/libs/upgradephp/upgrade.php] in /home/studs68/public_html/analytics/index.php on line 32

Notice: require_once() [function.require-once]: Inserting [/home/studs68/public_html/analytics/libs/upgradephp/upgrade.php] in /home/studs68/public_html/analytics/index.php on line 32

Notice: require_once() [function.require-once]: 1. h->opened_path=[/home/studs68/public_html/analytics/core/testMinimumPhpVersion.php] h->filename=[/home/studs68/public_html/analytics/core/testMinimumPhpVersion.php] in /home/studs68/public_html/analytics/index.php on line 33

Notice: require_once() [function.require-once]: apc_cache_find [47863268] in /home/studs68/public_html/analytics/index.php on line 33

Notice: require_once() [function.require-once]: 2. h->opened_path=[/home/studs68/public_html/analytics/core/testMinimumPhpVersion.php] h->filename=[/home/studs68/public_html/analytics/core/testMinimumPhpVersion.php] in /home/studs68/public_html/analytics/index.php on line 33

Notice: require_once() [function.require-once]: apc_cache_make_file_entry: entry->data.file.filename is [/home/studs68/public_html/analytics/core/testMinimumPhpVersion.php] in /home/studs68/public_html/analytics/index.php on line 33

Notice: require_once() [function.require-once]: Inserting [/home/studs68/public_html/analytics/core/testMinimumPhpVersion.php] in /home/studs68/public_html/analytics/index.php on line 33


(vipsoft) #2

It looks like you use apc.

Please restart Apache to clear the apc opcode cache.

There may be an apc setting to automatically flush its cache when it detects changed files.


#3

Thank you for the reply. Turns out it was related to APC. Somehow I install in debug mode. Once I uninstalled APC and then reinstalled without debug, Piwik worked perfectly!

-Kim